---
title: HTMLVideoElement.msZoom
slug: Web/API/HTMLVideoElement/msZoom
tags:
  - API
  - 'API:Microsoft Extensions'
  - Non-standard
  - Property
  - Reference
  - msZoom
---
<div>{{APIRef("DOM")}}{{Non-standard_header}}</div>

<p><code><strong>msZoom</strong></code> is a read/write property which gets or sets whether the video frame is trimmed, on the top and bottom or left and right, to fit the video display.</p>

<p>This proprietary property is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLVideoElement</em>.msZoom;
</pre>

<h2 id="Value">Value</h2>

<p>Boolean value set to <em>true</em> trims the video frame to the display space. Set to <em>false</em> the video frame uses letter box or pillarbox to display video.</p>

<p>If the native aspect ratio of a video frame, which is defined by the <code>videoWidth</code> and <code>videoHeight</code> attributes, does not match the aspect ratio of the <code>Video</code> tag, which is defined by the width and height attributes, the video is rendered with letterbox or pillarbox format. Letterbox and pillarbox are the black bars on either the left and right of the video or the top and bottom of the video.</p>

<p>When the <code>msZoom</code> attribute is set to <em>true</em>, the rendered video is trimmed to fit the dimensions of the video object. Either the top and bottom of the video is trimmed or the left and right of the video is trimmed.</p>

<p>For instance, if the layout space for the video tag is a 4:3 aspect ratio, but the stream coming in is in 16:9 aspect ratio, the <code>msZoom</code> option can be used to render the 16:9 video in 4:3 aspect ratio. The rendered video will then take up the full space of the video object.</p>

<h2 id="Example">Example</h2>

<p>This examples gets a Video object and sets the <code>msZoom</code> property to true.</p>

<pre class="brush: js">    var myVideo = document.getElementById("videoTag1");
       myVideo.msZoom = true;
       myVideo.play();
</pre>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/HTMLVideoElement">HTMLVideoElement</a></li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
